import React from 'react';
import { Button, Icon } from '../../../../index';
export var ExpandButton = function ExpandButton(_ref) {
  var expanded = _ref.expanded,
    disabled = _ref.disabled,
    onClick = _ref.onClick;
  return React.createElement(Button, {
    variant: "neutral",
    onClick: onClick,
    "aria-expanded": expanded,
    disabled: disabled
  }, expanded ? React.createElement(Icon.ChevronUp8, {
    color: function color(t) {
      return disabled ? t.color.disabled : t.color.text;
    }
  }) : React.createElement(Icon.ChevronDown8, {
    color: function color(t) {
      return disabled ? t.color.disabled : t.color.text;
    }
  }));
};